<template>
    <section class="products_page section">
        <app-header class="fixed_header"
                    theme="light_theme"
                    id="header"
        ></app-header>
        <div class="products_page-content section-content row col-12">
            <p class="products_page-content-title col-12 col-md-7" v-html="$t('services.header')"></p>
            <div class="products_page-content-promo nice_text p-0 сol-12 col-md-7" id="first_page_promo">
                <p class="ie-white-title" v-html="$t('services.subtitle')"></p>
                <p class="nice_text-bg ie-lightbg" v-html="$t('services.subtitle')"></p>
            </div>
            <div class="products_page-content-features row col-12">
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12 order-lg-1 order-sm-1 order-1">
                    <p class="products_page-content-features-item-text" v-html="$t('services.connection_header')"></p>
                    <p class="products_page-content-features-item-ps" v-html="$t('services.connection_text')"></p>
                </div>
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12 order-lg-2 order-sm-4 order-2">
                    <p class="products_page-content-features-item-text" v-html="$t('services.support_header')"></p>
                    <p class="products_page-content-features-item-ps" v-html="$t('services.support_text')"></p>
                </div>
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12 order-lg-3 order-sm-3 order-3">
                    <!-- <p class="products_page-content-features-item-text" v-html="$t('services.personalArea_header')"></p>
                    <p class="products_page-content-features-item-ps" v-html="$t('services.personalArea_text')"></p> -->
                </div>
            </div>
            <div class="row col-12" style="padding: 0; margin: 0; justify-content: space-between">
                <div class="col-12 col-sm-6 col-lg-8 row" style="padding: 0; margin: 0; height: fit-content">
                    <p class="products_page-content-title col-12 col-md-7" v-html="$t('services.acquiring_header')"></p>
                    <div class="products_page-content-promo nice_text">
                        <p class="ie-white-title" v-html="$t('services.acquiring_text')"></p>
                        <p class="nice_text-bg ie-lightbg" v-html="$t('services.acquiring_text')"></p>
                    </div>
                </div>
                <div class="products_page-content-features not_first_features row col-12 col-sm-6 col-lg-4">
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('services.acquiring_info1')"></p>
                    </div>
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('services.acquiring_info2')"></p>
                    </div>
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('services.acquiring_info3')"></p>
                    </div>
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('services.acquiring_info4')"></p>
                    </div>
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('services.acquiring_info5')"></p>
                    </div>
                </div>
            </div>
            <div class="products_page-content-features row col-12" >
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12 mb-3">
                    <p class="products_page-content-features-item-text">
                        <b v-html="$t('services.regulations_header')"></b>
                        <br class="extra-md-br">
                        <a href="#" v-html="$t('services.link')"></a>
                    </p>
                </div>
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12 pl-0">
                    <p class="products_page-content-features-item-text">
                        <b v-html="$t('services.procedures_header')"></b>
                        <br class="extra-md-br">
                        <a href="#" v-html="$t('services.link')"></a>
                    </p>
                </div>
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12">
                    <p class="products_page-content-features-item-text">
                        <b v-html="$t('services.protocolDescription_header')"></b>
                        <br class="extra-md-br">
                        <a href="#" v-html="$t('services.link')"></a>
                    </p>
                </div>
                <div class="products_page-content-features-item col-lg-4 col-12 d-sm-none d-lg-block"></div>
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12">
                    <p class="products_page-content-features-item-text">
                        <b v-html="$t('services.tariffs_header')"></b>
                        <br class="extra-md-br">
                        <a href="#" v-html="$t('services.link')"></a>
                    </p>
                </div>
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12">
                    <p class="products_page-content-features-item-text">
                        <button class="btn-modal" id="show-modal" @click="modalRequest = true" v-html="$t('services.join_us')"></button>
                        <ModalRequest v-if="modalRequest" @close="modalRequest = false"></ModalRequest>
                        <ModalSuccessfully v-if="modalSuccessfully" @close="modalSuccessfully = false"></ModalSuccessfully>
                    </p>
                </div>
            </div>
            <app-footer></app-footer>
        </div>
    </section>
</template>

<script>
    import AppHeader from "./AppHeader"
    import AppFooter from "./AppFooter"
    import ModalRequest from "./ModalRequest"
    import ModalSuccessfully from "./ModalSuccessfully"
    export default {
        data () {
            return {
                modalRequest: false,
                modalSuccessfully: false
            }
        },
        components: {
            AppHeader,
            AppFooter,
            ModalRequest,
            ModalSuccessfully
        }
    }

</script>

<style lang="sass">
    .btn-modal
        min-width: 210px
        padding: 15px 30px
        font-size: 20px
        font-weight: bold
        background: blue
        color: #fff
        outline: none
        cursor: pointer
    @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none)
        .ie-lightbg
                transition: color, width 0.2s!important
                color: #898a94!important
                background: transparent!important
                font-family:  Helvetica
                left: 1px!important
        .ie-white-title
                text-shadow: 1px 1px #898a94, 1px -1px #898a94, -1px 1px #898a94, -1px -1px #898a94
                width: 100%
                color: #fff !important
                font-family:  Helvetica
                padding-left: 1px
</style>

